Skip to main content
`Ctrl`+`K`

# TaoMonitorResidual

Views the least-squares residual at each iteration of `TaoSolve()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorResidual(Tao tao, void *ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- ctx - the `PetscViewer` context or `NULL`

## Options Database Key

- -tao_monitor_ls_residual - view the residual at each iteration

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorDefaultShort()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages